ShivaKrishnaM
Contributor
Contributor

Unable to Install VMware tools in Esxi server 6.7 when Guest OS version type as Other Linux 64 bit

I have Created a virtual machine with Linux guest operating system and  Guest OS version type is Other Linux 64  bit.

Now tried to install vmware tools using VMRC then i am getting below error message.

State: Failed - The required VMware Tools ISO image does not exist or is inaccessible.

Errors:

  • 0" class="" style="box-sizing: border-box; padding-left: 0px; margin-bottom: 10px; margin-left: 25px;">
  • Unable to install VMware Tools. An error occurred while trying to access image file "/usr/lib/vmware/isoimages/linuxPreGlibc25.iso" needed to install VMware Tools: 2 (No such file or directory). Please refer the product documentation or KB article 2129825 for details about how to get VMware Tools package for this guest operating system.
  • vix error code = 21001

Please help out of this.

Thanks and regards,

Shiva.

5 Replies
a_p_
Leadership
Leadership

Did you alredy read https://kb.vmware.com/s/article/2129825​ as mentioned in the error message?

You may also want to take a look at https://kb.vmware.com/s/article/2073803​ regarding using open-vm-tools.

André

ShivaKrishnaM
Contributor
Contributor

We installed VMware tools and open vm tools when guest  OS version type Cent OS 7 But we couldn't able to install the Vmware tools with Other Linux 64 bit Guest OS Version.

Getting the exception while installing the vmware tools from VMRC and also from Esxi server 7.0 and Esxi server 6.7.

Does Other Linux 64 bit Guest IS version support to install VMware Tools in Esxi server 6.7 and 7.0?

Note: Creating virtual machine in Esxi server 6.7 and 7.0 while creating we are choosing Guest OS as Linux and Guest OS version as Other Linux 64 bit.

Thanks and Regards,

Shiva.

0 Kudos
scott28tt
VMware Employee
VMware Employee

Moderator: Please create threads in the best area for the product you are using.

Thread moved to the vSphere area.

0 Kudos
a_p_
Leadership
Leadership

Since VMware Tools version needs to match the guest OS, the iso image is selected based on the guest OS that's selected in the VM's settings.

The error message you see only means that the image (that may or may not contain the required VMware Tools version, because there are lots of different 64bit Linux versions available) is not bundled with the ESXi installation, and needs to be added if required.

What's the reason why you select Other instead of the version that you are going to install?

André

ShivaKrishnaM
Contributor
Contributor

The Reason we are choosing other linux instead of others Guest os version , We are able to install the VMware tools in esxi server 6.0 but we couldn't able to install the vmware tools with same Guest OS version in Esxi server 6.7 and 7.0 .

I need clarity on weather Other Linux OS version type is supports to install the Vmware tools installation in Esxi server 6.7 and 7.0.

Please do the needful.

Thanks and Regards,

Shiva.

0 Kudos